mdadm (4.1-8ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.

  * Also fix up whitespace in systemd/mdmonitor-oneshot.timer.
  * Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
    arrays with --force flag. LP: #1894792

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Oct 2020 12:15:40 +0000

mdadm (4.1-8) unstable; urgency=medium

  * Comprehensive FAQ improvements and amendments.(Closes: #715387)
  * Update Finnish debconf translation. (Closes: #972143)
  * Update Portuguese debconf translation. (Closes: #971941)
  * Update Basque debconf translation.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 13 Oct 2020 11:15:45 -0700

mdadm (4.1-7) unstable; urgency=medium

  * Look for md device in /dev/md and exit gracefully on failure.
    (Closes: #958060, #970329)
  * Update Spanish, Italian, Slovak and Russian debconf translations.
    (Closes: #970381, #970568, #970578)

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 21 Sep 2020 07:35:13 -0700

mdadm (4.1-6) unstable; urgency=medium

  * Install misc/mdcheck; thanks Richard Laager. (Closes: #960132)
  * Update French, Dutch and German debconf translations. (Closes: #935184,
    #940851, #956350)
  * Bring command-line help in line with manual page. (Closes: #932791)
  * Fix spelling and groff macro issues in manual pages. (Closes: #915182,
    #916946, #962946)
  * Explain 'max' keyword in command-line option --size. (Closes: #933773)
  * Patch d/README.recipes for clarity. (Closes: #619043)
  * Enable autopkgtest for installed version. Requires isolation-machine,
    untested. (Closes: #872118)
  * Adopt package. (Closes: #924367)
  * Turn on hardening.
  * Avoid a race condition in d/mdadm-shutdown.service.
  * Implement missing status option in /etc/init.d/mdadm-waitidle.
  * Add missing Documentation keys to several service files.
  * Upgrade debhelper compat to 13; use new prerequisite style.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Convert copyright to DEP-5 machine-readable format.
  * Host Vcs on salsa.d.o.
  * Adopt DEP-14 branch naming in Vcs-Git
  * Enable standard Salsa CI pipeline.
  * Fix typos in executables.
  * Explain that --name does not work in Grow mode.
  * Convert international debconf translations to UTF-8.
  * Capitalize first word in package synopsis.
  * Add Lintian overrides for tags that may not be appropriate.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 12 Sep 2020 20:46:58 -0700

mdadm (4.1-5ubuntu5) groovy; urgency=medium

  * d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
    - The spaces were causing a FTBFS situation, triggered by
      dh_installsystemd not finding units.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 28 Sep 2020 11:44:00 -0400

mdadm (4.1-5ubuntu4) groovy; urgency=medium

  * d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
    - When mdcheck_start is enabled, enable mdcheck_continue too.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 25 Sep 2020 10:27:50 -0400

mdadm (4.1-5ubuntu3) groovy; urgency=medium

  * d/p/mdcheck-log-when-done.patch:
    - Make sure mdcheck logs the completion too, so that
     it can be determined how long the raid check took.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 24 Sep 2020 09:14:49 -0400

mdadm (4.1-5ubuntu2) groovy; urgency=medium

  * d/rules: Install misc/mdcheck (LP: #1852747)
    - The absence of mdcheck utility is preventing
      mdcheck_continue.service & mdcheck_start.service
      to execute the command when the service start via
      ExecStart. (Closes: #960132)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 23 Sep 2020 14:08:32 -0400

mdadm (4.1-5ubuntu1) focal; urgency=medium

  [ dann frazier ]
  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.

 -- dann frazier <dannf@ubuntu.com>  Thu, 23 Jan 2020 11:41:55 -0700

mdadm (4.1-5) unstable; urgency=medium

  * QA upload.
  * Fix cross-compilation failure. (Closes: #866522).
    Thanks to Helmut Grohne.
  * Add support for raid0/linear 'broken' state. (Closes: #943520).
    Thanks to Guilherme G. Piccoli and Dan Streetman. LP: #1847924.

 -- dann frazier <dannf@debian.org>  Wed, 22 Jan 2020 09:56:25 -0700

mdadm (4.1-4ubuntu1) focal; urgency=medium

  [ dann frazier ]
  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
  * Honor the debconf daily autoscan setting in the systemd timer.

  [ Guilherme G. Piccoli ]
  * Introduce "broken" state for RAID0/Linear in mdadm (LP: #1847924)

 -- dann frazier <dannf@ubuntu.com>  Wed, 04 Dec 2019 07:05:07 -0700

mdadm (4.1-4) unstable; urgency=medium

  * QA upload.
  * Add support for RAID0 layouts. (Closes: #944676) (LP: #1850540)

 -- dann frazier <dannf@debian.org>  Mon, 02 Dec 2019 14:35:49 -0700

mdadm (4.1-3) unstable; urgency=medium

  * QA upload.
  * Adding debconf question to disable daily array scan (Closes: #689304):
    - if enabled (default), mdadm checks once a day for degraded arrays
      and missing spares to ensure that such events don't go unnoticed.
    - this is not useful when the system is part of an infrastructure
      with dedicated monitoring systems (e.g. icinga).
    - this debconf question makes it possible to disable these checks.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 09 Aug 2019 17:19:20 +0000

mdadm (4.1-2ubuntu3) eoan; urgency=medium

  * Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
    timer units.
  * Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
    timer unit.
  * mdcheck_start.timer configures the mdcheck on a first sunday of the
    month, with a randomized start delay of up to 24h, and runs for at
    most 6h. mdcheck_continue.timer kicks off daily, with a randomized
    start delay of up to 12h, and continues mdcheck for at most 6h.
  * mdmonitor-oneshot.timer runs daily, with a randomized start delay of
    up to 24h.
  * One can use systemd drop-ins to change .timer units timings, set
    environmental variables to decrease/increase the length of checking,
    or start the checks by hand. Previously used checkarray is still
    available, albeit not used by timer units.
  * Above ensures that previous daily / monthly checks are performed, but
    are randomized, such that performance is not as impacted across a
    cluster of machines. LP: #1815201

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Jun 2019 16:29:44 +0100

mdadm (4.1-2ubuntu2) eoan; urgency=medium

  * Drop broken and unused init scripts in favor of native systemd units,
    which can cause failure to reconfigure mdadm package under certain
    confiment types. LP: #1829325

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 20 May 2019 19:57:41 +0100

mdadm (4.1-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 May 2019 20:58:27 -0700

mdadm (4.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 03:58:03 +0000

mdadm (4.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jan 2019 11:29:22 +0000

mdadm (4.1-1) unstable; urgency=medium

  * New upstream release.
  * Cherrypick patches from master to 757e55435997e355ee9b03e5d913b5496a3c39a8.
  * Drop XC- prefix from Package-Type field in debian/control.
  * Bump standards version to 4.3.0.
  * Use https in the watch file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Jan 2019 18:23:53 +0000

mdadm (4.1~rc1-4ubuntu1) cosmic; urgency=medium

  * Ship finalrd hook.
  * Do not install mdadm-shutdown.service on Ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 14:53:18 +0100

mdadm (4.1~rc1-4) unstable; urgency=medium

  * Cherrypick master patches up to 20th of July 2018. LP: #1781427
  * Make safe-timouts udev rules compatible with usr-split systems.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jul 2018 11:48:50 +0100

mdadm (4.1~rc1-3) unstable; urgency=medium

  * Cherrypick master patches up to 4th of June 2018.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Tue, 26 Jun 2018 15:38:04 +0100

mdadm (4.1~rc1-2) unstable; urgency=medium

  * Install identical udev rules into d-i installer udeb, as used in the
    installed system. Specifically, post-processed rules with full path to
    mdadm binary subsituted, instead of installing useless rules with the
    template variable BINDIR. LP: #1705215

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 May 2018 14:26:59 +0100

mdadm (4.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Import patches since rc1.
  * Bump standards version & debhelper compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 May 2018 12:10:33 +0100

mdadm (4.0-2) unstable; urgency=medium

  * Ship mdadm-shutdown.service and suggest dracut-core. Users of systemd
    with rootfs on Intel Matrix Raid and DDF external metadata-raid arrays
    that require mdmon monitoring, may wish to install dracut-core package
    and enable mdadm-shutdown.service. This will create a shutdown
    initramfs, that systemd-shutdown can pivot to. This may result in an
    improved shutdown behaviour with less hangs and synced raid
    arrays. The generated initramfs will takeover mdmon monitoring, wait
    for the arrays to be clean before stopping them and unmounting
    everything and finally executing requested shutdown command.
  * Bump standards version, no changes required.
  * Bump debhelper to 9.
  * Add second email address to avoid NMU warnings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Oct 2017 11:55:52 +0100

mdadm (4.0-1) unstable; urgency=medium

  * New upstream release. LP: #1668128
  * Drop warnings that raid arrays are missing from the initramfs
    configuration. Instead have a positive message as to which arrays are
    included in the initramfs.
  * Add a warning to mkconf generated file that mdadm.conf is copied into
    initrafms.
  * Fix checkarray script bugs. LP: #1599428 Closes: #787950 Closes: #843665

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Jun 2017 13:23:10 +0100

mdadm (3.4-4) unstable; urgency=high

  * Bring in changes from Ubuntu, to make the two packages in sync:
    - Drop README.Debian, quite out-of-date w.r.t. current packaging.
    - debian/control - on ubuntu, downgrade default-mta from Recommends to
    Suggests.
    - update-grub in postinst, if available (note does not update grub1).
    - drop stderr warnings in postrm.
    - drop presubj, out of date, and all types of bugs are welcomed.
    - on ubuntu, install apport package hook.
    - on ubuntu, install incremental assembly udev rules into udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Jul 2016 16:52:07 +0100

mdadm (3.4-3) unstable; urgency=high

  * Fix UUID= grep for configured RAIDs to be case incesetive, regression from 3.4-2.

  * Re-trigger block devices at the start of local-block mdadm loop, to
    re-incrementally assemble disks that appeared before RAID
    personalities were registered with the kernel.

  * Also, invoke non-incremental assembly of raid arrays in the
    local-block loop to support running mdadm with user-exported variables
    specified via param.conf.

  * Set Vcs- fields to dgit repositories.

  * Closes: #830770, #830300.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jul 2016 17:09:54 +0100

mdadm (3.4-2) unstable; urgency=low

  * Reneable incremental assembly
  * Rely on udev to assemble incremental arrays
  * In environments with systemd rely on mdadm-last-resort@.timer|.service
    units to activate degrated raids
  * In environments initramfs-tools initrd (no systemd) add local-block
    script to do the same after 2/3rds of root delay iteration
  * Drop local-top initramfs script
  * Drop dependency on initscripts package
  * Drop INITRDSTART support
  * Drop mdadm-raid init script
  * Drop ancient preinst
  * In mdadm.init remove dependency on mdadm-raid
  * In mdadm.init check, and bail out running in a container
  * In mdadm.config drop mdadm/autostart logic
  * Drop CREATE stanzas from mkconf and don't include them in the
    initramfs. The generated defaults, are the compiled-in defaults. And
    the current one generates warnings when running mdadm in the
    initramfs, as there is no passwd|group files to resolve root/disk
    uid/gid. Closes: 717609
  * Adapt changes and formatting of initramfs hook from Ubuntu
  * Bump standards version to 3.9.7, no changes required
  * Fix copyright-refers-to-symlink-license
  * Closes: #781172, #796624, #769201, #813335, #632401, #804973, #714155,
    #770002, #737132, #675452, #726390, #813637, #814036.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 02 Jul 2016 19:16:01 +0100

mdadm (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop use-tempnode-not-devnode.patch, not needed anymore.
  * Drop use-external-blkid.diff. (Closes: #793631)
  * Refresh patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Feb 2016 16:18:36 +0000

mdadm (3.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * disable-incremental-assembly.patch: incremental assembly prevents booting
    in degraded mode (Closes: #784070)

 -- Yann Soubeyrand <yann-externe.soubeyrand@edf.fr>  Tue, 10 Nov 2015 11:18:39 +0100

mdadm (3.3.4-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Adopting the package as per mjt delegation. Thank you for your
    service mainting this package over the years, your contributions
    are highly appreciated by all of Debian and derivate communities.
  * New upstream release.
  * Bump standards version to 3.9.6.0, no changes required.
  * Use dh_prep instead of dh_clean -k
  * Drop cherrypicked patches.

  [ Helmut Grohne ]
  * Fix FTCBFS. Export CROSS_COMPILE=<triplet>- (Closes: #794335)

  [ Cyril B. ]
  * Copy AUTO lines from host into initrd, when updating initrd.
    (Closes: #785104)

  [ Martin von Wittich ]
  * Ignore errors attempting to apply *nice to checkarray, it may be
    done already. (Closes: #791554)

 -- Dimitri John Ledkov <xnox@debian.org>  Sun, 08 Nov 2015 11:48:03 +0000

mdadm (3.3.2-5) unstable; urgency=medium

  * use-tempnode-not-devnode.patch: change udev rules file to use
    $tempnode which works both on wheezy and jessie udev, instead
    of $devnode which only works in jessie.  At this stage it is
    better to make rules file compatible with old version instead
    of adding versioned dependency.  Should be removed for jessie+1.
    (Closes: #770883)
  * fix Closes: list in previous entry (Closes: #771852)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 20 Dec 2014 11:48:44 +0300

mdadm (3.3.2-4) unstable; urgency=medium

  * really remove /var/lib/mdadm in postinst, fixing a brown-paper bag
    bug in previous upload (I fixed it earlier but forgot to commit it
    before 3.3.2-3 release).  (Closes: #764036, #771852)
  * mention closing of #588965 #599352 #694513 by 3.3-1

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 05 Dec 2014 17:29:22 +0300

mdadm (3.3.2-3) unstable; urgency=medium

  * remove /var/lib/mdadm dir in postinst to clean up from old pkg,
    remove config files on purge (restore extraneous cleanup from
    last change)  (Closes: #764036)
  * remove set -u (error on unset variables) from maintscripts
    (Closes: #766308)
  * rebuildmap-strip-local-host-name-from-device-name.patch - a patch
    from upstream fixing a bug when mdadm have to re-create device
    nodes after assembling arrays (eg, when switching from initramfs
    without preserving /dev and /run), to choose the same device names
    as when doing inital assembly
  * readlink-path.patch: readlink is in /bin not /usr/bin on debian
    (Closes: #766416)
  * mdmonitor-service-simplify.diff: simplify mdmonitor.service
    systemd file, do not try to read non-existing files (Closes: #764647)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 28 Nov 2014 09:55:14 +0300

mdadm (3.3.2-2) unstable; urgency=medium

  * remove more leftovers from old versions
  * do not embed $VERSION to mkconf and bugscript
  * removed unneeded lintian-overrides file
  * removed examples/mdadd.sh
  * removed references to MAIL_TO from /etc/default/mdadm (pre-2.x mdadm)
  * removed AUTOSTART variable from /etc/default/mdadm
    (system will start arrays listed in mdadm.conf)
  * simplify d/rules, build udeb in a subdir (for now, to be removed)
  * install systemd services and disable some initscripts (mask them)
    when systemd is running (Closes: #763959)
  * build-sys-no-check_rundir.patch: stop (re)linking executables
    at install time

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Oct 2014 20:38:36 +0400

mdadm (3.3.2-1) unstable; urgency=low

  * new minor/bugfix upstream release (Closes: #731884, #763080)
  * removed remove-bashism-from-makefile.patch (applied upstream)
  * copy 64-md-raid-assembly.rules to initramfs too, this should
    bring us array auto-assemble during initramfs run (Closes: #678691)
  * denote inability to initialize md subsystem in local-top script
    from fatal error to warning (Closes: #733574)
  * create /etc/modprobe.d/mdadm.conf to set start_ro=1 there
    instead of doing it in the initramfs
  * use install -D in d/rules consistently and remove dirs from d/mdadm.dirs
  * remove references to old (2.x and 1.x) mdadm versions (Closes: #728804)
  * remove references to very old (pre-wheeze) breaks/replaces/depends
  * remove support of makedev
  * reformat mdadm-raid initscript a bit
  * remove rebuilding-raid.html (had invisible refs) and
    RAID5_versus_RAID10.txt docs.  Maybe it's a good idea to remove
    other docs shipped with the package, since these becoming stale
    and these days, better alternatives exist online
  * removed debian-specific mdadm-startall script which does nothing more than
    "mdadm --assemble --scan".  Remove docbook-to-man from build-deps.
  * pass dpkg-buildflags to upstream build system and
    stop using our own -O0, -Os etc
  * remove separate CFLAGS for udeb and simplify *FLAGS handling
  * bump Standards-Version to 3.9.5 (no changes needed)
  * fix VCS links to point to anonscm.d.o

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 01 Oct 2014 15:09:07 +0400

mdadm (3.3-2) unstable; urgency=low

  * use 63-md-raid-arrays.rules instead of old 64-md-raid.rules
    (Closes: #726237)
  * do not use builtin blkid in udev rules, as our udev (at least
    on wheezy) does not have it (use-external-blkid.diff)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Oct 2013 15:49:54 +0400

mdadm (3.3-1) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream 3.3 release (Closes: #718896, #588965, #599352, #694513)
    See ANNOUNCE-3.3 for details.
    Patches:
    - refreshed debian-conffile-location.diff
      (added .conf.d)
    - removed debian-disable-udev-incr-assembly.diff
      (do not ship udev-md-raid-assembly.rules for now)
    - refreshed debian-no-Werror.diff
    - refreshed sha1-includes.diff
    - removed patches (included upstream)A:
       spelling-and-manpages.patch
       fix-enough-function-for-RAID10.patch
       fix-segfaults-in-detail.patch
       super0-do-not-override-uuid-with-homehost.patch
       mdmon-allow-takeover-when-original-was-started-with-.patch
       mdmon-fix-arg-parsing.patch
       mdmon-fix-arg-processing-for-a.path
    Install udev-md-raid-arrays.rules instead of udev-md-raid.rules,
    don't install new udev-md-raid-assembly.rules for now.
  * remove Martin F. Krafft from uploaders per his request.
    Thank you for your contributions!
  * added remove-bashism-from-makefile.patch patch to work around
    newly introduced bashism
  * remove debian/source/options, there's no need to set compression
    options for debian.tar.gz.
  * remove outdated debian/docs/md_superblock_formats.txt and
    debian/docs/md.txt (Closes: #714977, #714978)
  * ship ANNOUNCE-*, external-reshape-design.txt, mdmon-design.txt
    files as documentation (Closes: #715324)

  [ Dmitrijs Ledkovs ]
  * Properly remove 65-mdadm.vol_id.rules, instead of trying to remove a
    never-existed 65_mdadm.vol_id.rules (note the 65- vs 65_).

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Oct 2013 10:12:47 +0400

mdadm (3.2.5-6) unstable; urgency=low

  * replace home-grown and not-working-since-etch udevsettle call
    in initramfs script with proper wait_for_udev function (from
    common initramfs functions).  This unbreaks situations when
    the underlying device needs some udev magic to happen before
    being available, which includes stacked devices (md on lvm)
    and other cases.  Thanks to Thomas Parmelan and Dave Whitla
    for finding the root cause of breakage and for providing
    the fix.  (Closes: #644876)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 Mar 2013 13:32:21 +0400

mdadm (3.2.5-5) unstable; urgency=low

  * add (empty) restart and force-reload actions to mdadm-waitidle
    script -- this script is used only when the system needs to be
    shut down or rebooted, there's nothing to start or restart.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 Jan 2013 17:04:49 +0400

mdadm (3.2.5-4+mdmon) experimental; urgency=low

  * fix `/etc/init.d/mdadm-raid status' inverse logic (Closes: #686100)
  * /etc/init.d/mdadm: change RUNDIR to /run instead of /var/run.
    Mdadm itself uses /run internally, we properly depend on initscripts
    version which creates /run, and the initscript itself is started
    after local_fs is processed, so this is merely a no-op, but let's
    do it for consistency.
  * Fix 'enough' function for RAID10, to prevent starting of a RAID10
    array which does not have required minimum of component devices.
    (Closes: #691668).
  * fix segfaults in Detail() - mdadm --detail may segfault if a drive
    has been removed from the array (Closes: #691670)
  * super0: do not override uuid with homehost.  The bug prevented
    re-creating an array with v0.90 superblock with the specified uuid
    when homehost is also specified.  (Closes: #686703)
  * several fixes for mdmon argument processing (Closes: #691671):
    - allow --takeover when original was started with --offroot
    - fix arg parsing.
    - fix arg processing for -a
  * Changes based on a patch by Miquel van Smoorenburg (Closes: #684708):
    - install mdmon in udeb and initramfs, so imsm arrays can work.
      mdadm runs mdmon automatically when needed (currently for imsm
      arrays), and mdmon is required to make such arrays read-write
      (they're read-only by default) so merely presence of mdmon is
      enough to be able to use imsm arrays.
    - /etc/init.d/mdadm start: if a mdmon pidfile is found in /run/mdadm,
      restart mdmon (--takeover --all)
    - /etc/init.d/mdadm stop: link pidfiles of mdmon processes into
      /run/sendsigs.omit.d, and make sure that happens before sendsigs runs.
    - stop mdadm before sendsigs, so that the above code works
    - add script mdadm-waitidle that runs just before reboot/halt.
      For each array that is still running, it sets sync_action to idle,
      and uses mdadm --wait-clean to wait for all arrays to go idle
      (it has a short timeout).

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 20 Oct 2012 19:20:12 +0400

mdadm (3.2.5-3) unstable; urgency=low

  * revert "Drop unused debconf templates" change -- the templates
    are actually being (indirectly) used in debian/mdadm.config
  * fix initramfs-script config name (slipped in the initramfs fixes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 23:12:50 +0400

mdadm (3.2.5-2) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Fix mdadm.lintian-overrides
  * Fix spelling in binaries, fix lintian warnings
    manpage-has-errors-from-man and hyphen-used-as-minus-sign
  * Drop unused debconf templates
  * Implement status option for mdadm-raid init.d script
  * Fix lintian info's conflicts-with-version: Conflicts -> Breaks

  [ Michael Tokarev ]
  * fix spelling mistakes in previous changelog entry
  * some cleanups for checkarray:
   - change --help printing and shorten/simplify the text
   - make --quiet cumulative and stop documenting --real-quiet
   - do not produce help in case of incorrect usage, and exit with 1
  * fixes for initramfs integration (Closes: #644389, #678262, #685161):
   - check INITRDSTART=none early
   - do not explicitly load raid level modules (modprobe/kmod does this)
   - do not collect needed raid levels (we include all modules anyway)
   - load md_mod explicitly since we need to change global parameter

  [ Dmitrijs Ledkovs ]
  * Use dh_installinit with --no-restart-on-upgrade, which will start
    arrays, but will not stop them during upgrade. (Closes: 678971)
  * Copy local administrator's modified udev rules as well as the system
    one. (Closes: #678973)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 16:25:37 +0400

mdadm (3.2.5-1) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream (bugfix) release, fixing regression when --add'ing
    device to an array, introduced in 3.2.4, plus other minor fixes
    (Closes: #673104, #673344)
  * new patch: sha1-includes.diff to fix #include mess in new sha1.h
  * added a check into debian/checkarray to skip checking arrays created
    less than 2 weeks ago (Closes: #624273)

  [ Dmitrijs Ledkovs ]
  * Remove obsolete documentation dating back to ~etch release
  * Remove reference to obsolete documention from debconf templates
  * Update debconf templates translations
  * Remove compatibility with ancient initramfs-tools
  * Remove debian-specific mdadm-startall.8 in clean target

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 25 May 2012 20:23:52 +0400

mdadm (3.2.4-1) unstable; urgency=low

  * new upstream (bugfix) release (Closes: #664088, #661552)
  * removed debian-run-udev.diff (applied upstream), and
    all RUNDIR handling from debian/rules (it is the default now)
  * add build-arch and build-indep targets to debian/rules, and
    bump Standards-Version to 3.9.3

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 10 May 2012 17:51:41 +0400

mdadm (3.2.3-3) unstable; urgency=low

  * switch from topgit to plain 3.0 (quilt) layout, creating
    debian/patches.  Don't build-depend on quilt as patching
    is done automatically by dpkg-source.
  * debian/patches/debian-run-udev.diff by Roger Leigh (Closes: #644319, #627774)
  * update debian/mdadm.logcheck.ignore.server to recognize "k" in
    addition of "blocks" in kernel messages.  Thanks to Frédéric Brière
    for the patch (Closes: #656038)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 30 Apr 2012 14:12:38 +0400

mdadm (3.2.3-2) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream bugfix/stable version, with lots of fixes all over.
    Closes: #641886, #628667, #645563, #651880, #607375, #633880
  * update Neil's email (Closes: #650630)
  * update mdadd.sh to version 1.52 (Closes: #655212)
  * fixed a typo (RAID6 vs RAID10) in FAQ (Closes: #637068)
  * declare ordering dependency for multipath-tools-boot in
    mdadm-raid init script (Closes: #641584)
    While at it, remove mention of devfsd
  * added Slovak (sk.po) po-debconf translation from Slavko <linux@slavino.sk>
    (Closes: #641972)
  * set nice value of the check/resync thread too, together with I/O
    scheduling class, based on patch by Sergey B Kirpichev (Closes: #652547)
  * small changes for debian/checkarray
  * (internal) move files from contrib/* topgit branches into debian directory
  * remove dh_testroot from clean target
  * add myself to uploaders

  [ Peter Eisentraut ]
  * Added support for "status" action to mdadm init script (Closes: #651737)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 18 Jan 2012 22:33:01 +0400

mdadm (3.2.2-1) unstable; urgency=low

  [ martin f. krafft ]
  * New upstream version (closes: #615494), which addresses:
    - --grow option aware of size change of underlying device (closes: #618463)
    - builds with -Werror on gcc-4.6 (closes: #625392).
    - new features/functionality:
      + Policy framework.
      + Improved management of reshaping arrays.
      + Support for Intel Matrix Storage Manager (IMSM)
    Thanks to Scott Schaefer for his help in preparing this release!
  * Do not print io rescheduling info message when run by cron
    (closes: #598957).
  * Fix checkarray script so that it does not die after scheduling the first
    device when there is no scheduling class specified; thanks to Mario
    'BitKoenig' Holbe (closes: #611627).
  * Do not include DEVICE line in generated configs but use the built-in value
    by default (closes: #604702).
  * Make mdadm-raid init script depend on hostname; thanks to Mario
   'BitKoenig' Holbe (closes: #610421).
  * Schedule start/stop of mdadm-raid before/after filesystems are
    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
    (closes: #611632).
  * Work around a shell coding bug for cases when there are zero active
    devices (closes: #618561).
  * Add NEWS entry about metadata change and requirement on new Grub version
    (closes: #595516).
  * Update mdadd.sh script from Arno's webpage.
  * Update md.txt from latest kernel source.
  * Updated debconf translations:
    - Catalan by Innocent De Marchi (closes: #628371)
    - Danish by Joe Dalton (closes: #621346)
  * Small typo fix in RAID5_versus_RAID10.txt
  * Bump Standards-Version to 3.9.2; no changes required.

  [ Michael Tokarev ]
  * don't print W: auto-read-only in checkarray in quiet mode,
    thanks to Bernd Hanisch for the patch (Closes: #605722)
  * move initscript metadata from /lib/init/rw/.mdadm to /run/mdadm,
    and depend on initscripts (>= 2.88dsf-13.3) for /run (Closes: #633054)
  * move runtime stuff from /dev/.mdadm to /run/mdadm
  * document defaults change in debian/NEWS (it was forgotten to be
    done for squeeze) - metadata & chunk size (Closes: #595516)

 -- martin f. krafft <madduck@debian.org>  Mon, 01 Aug 2011 10:41:41 +0200

mdadm (3.1.4-1+8efb9d1) unstable; urgency=low

  * Added patch with Makefile fix from upstream (commit 8efb9d1) to fix
    compiler/linker problem on non-x86 architectures (closes: #595290).

 -- martin f. krafft <madduck@debian.org>  Fri, 03 Sep 2010 10:45:01 +0200

mdadm (3.1.4-1) unstable; urgency=low

  * New upstream release, which closes:#595039 and addresses the following
    issues too:
    - reverts move of incremental map (closes: #585015).
    - fixes mdadm monitor in the case of an inactive (or start-failed) raid0
      or linear array (closes: #539154).
    - prevent --remove faulty from skipping renumbered devices
      (closes: #587550).
    - fixed overflow when growing a RAID6 (closes: #589493).
  * However, disable the incremental assembly upstream turned on in 3.1.3 for
    now, this will have to wait until after the squeeze release.
  * initramfs/hook: make sure configuration file exists before accessing it;
    thanks to Michael Prokop for the fix and NMU (closes: #589836).
  * initramfs/hook: Match UUID case-insensitive while checking for running
    arrays not listed in mdadm.conf; thanks to Mario 'BitKoenig' Holbe for the
    patch (closes: #583545).
  * Fix URL in the bug reporting preamble (presubj) (closes: #589833).
  * Add I/O rescheduling functionality to the checkarray script and make the
    cronjob use the idle priority; this should now minimise the impact of the
    monthly re-check on the running system; Florian Heigl had the idea
    (closes: #592149, #508123).

 -- martin f. krafft <madduck@debian.org>  Sun, 29 Aug 2010 13:44:59 +0200

mdadm (3.1.2-2) unstable; urgency=low

  * Fix logcheck regexp to cure "egrep: Unmatched [ or [^" message
    (closes: #583376).
  * Cherry-pick 94fcb80 from upstream to fix compiler error due to argument
    type error (at least on ia64, sparc, powerpc) (closes: #583495).

 -- martin f. krafft <madduck@debian.org>  Fri, 28 May 2010 09:35:42 +0200

mdadm (3.1.2-1) unstable; urgency=low

  * New upstream release (closes: #567167).
  * Ignore lintian error about not stopping in runlevel 1.
  * Include more information about the configuration, initrd, and LVM in
    bugscript output.
  * Check active devices against configuration file based on UUID, not device
    name (closes: #553896).
  * When preparing the list of devices, treat /dev/mdX and /dev/md/X equally.
  * Bump Standards-Version to 3.8.4 without having to make changes.
  * Fix logcheck rule with patch from Frédéric Brière, since Rebuild events
    are now arbitrary, no longer multiples of 20 (closes: #570315).
  * checkarray: do not exit non-zero when there are no arrays found (see
    #582360).
  * Do not exit checkarray cronjob non-zero when the tests whether to run
    fail (closes: #580825). This is related to a recent change in behaviour in
    cron 3.0pl1-110 (see e.g. #581612). Thanks to everyone for their
    suggestions!
  * Call MAKEDEV to create device nodes only if MAKEDEV is installed
    (closes: #569360).

 -- martin f. krafft <madduck@debian.org>  Thu, 27 May 2010 09:34:24 +0200

mdadm (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Retire fixed/blkid-dev branch.
  * Reword warning about unbootable system when mdadm is purged
    (closes: #544558).
  * Updated FAQ to include s2ram as one of the reasons that can prevent an
    array from being stopped; thanks to Pascal Hambourg for writing in.
  * Install udev rules into udeb package (closes: #558823).
  * Update mdadd.sh (formerly /usr/share/doc/mdadm/examples/newdisk.gz) from
    Arno's website, refactoring the script into its own branch/patch
    (closes: #539103).
  * Do not single-quote homehost in initramfs script (closes: #549083).

 -- martin f. krafft <madduck@debian.org>  Wed, 27 Jan 2010 10:14:25 +1300

mdadm (3.0.3-2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.3 without having to make changes.
  * Fixed init dependencies of mdadm daemon init.d script; thanks Petter
    Reinholdtsen (closes: #541396).
  * Switched source package to v3-quilt format.

 -- martin f. krafft <madduck@debian.org>  Fri, 06 Nov 2009 10:06:03 +0100

mdadm (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge 3.0-3.1 NMU by Christian Kujau (patch by Marco d'Itri)
    (closes: #541884), and add util-linux dependency.
  * Copy udev rules into initramfs, which udev stopped doing
    (closes: #549535, #549083, #538843, #538143).
  * Fix the bug script to write debug information to the correct file
    descriptor (closes: #537734).
  * Switch to TopGit and split Debian diff into topic branches; add
    README.source.
  * Drop the outdated rootraiddoc.97.html document.

 -- martin f. krafft <madduck@debian.org>  Tue, 27 Oct 2009 18:06:13 +0100

mdadm (3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * use blkid instead of vold_id in udev-md-raid.rules (closes: #541884)

 -- christian kujau <lists@nerdbynature.de>  Mon, 14 Sep 2009 10:15:21 +0200

mdadm (3.0-2) unstable; urgency=low

  * Fixed initramfs script with patch from Steffen Hau: it was still using
    --auto-update-homehost, which has been removed and replaced by a better
     heuristic: arrays created for a different "homehost" will now be
     assembled read-only, rather than shoehorned into the system with
     --auto-update-homehost (closes: #537820).
  * Add version stamps to bugscript and mkconf scripts to facilitate
    debugging.

 -- martin f. krafft <madduck@debian.org>  Tue, 21 Jul 2009 10:33:30 +0200

mdadm (3.0-1) unstable; urgency=low

  * New stable upstream release.
  * Add information about udev and device links in /dev to bugscript output.
  * Add pointer to FAQ and in particular rootdelay to the bug script
    pre-subject file, which is displayed by tools like reportbug and thus
    hopefully reduces the numbers of duplicated bugs.
  * Patch from Frédéric Brière to make logcheck rules printk_time aware
    (closes: #537460).
  * Updated German translation due to typos and old spelling rules; thanks to
    Helge Kreutzmann for the patch (closes: #534663).
  * Bumped Standard-Version to 3.8.2; no changes necessary.

 -- martin f. krafft <madduck@debian.org>  Mon, 20 Jul 2009 16:12:41 +0200

mdadm (3.0~devel3-43-g2800528-1) experimental; urgency=low

  * Merge tip of upstream's devel-3.0 branch at commit 2800528.
  * Drop our own udev rules in favour of upstream's. If
    /etc/udev/rules.d/65_mdadm.vol_id.rules has not been modified (md5sum
    check), it is automatically removed; else, a warning is emitted.
  * Add information about udev and device links in /dev to bugscript output.

 -- martin f. krafft <madduck@debian.org>  Tue, 05 May 2009 15:10:46 +0200

mdadm (2.6.9-3) unstable; urgency=low

  * Fix the multipath prereq patch (#516605) and make it exit after printing
    the prerequisites (closes: #526793).
  * Change my previous recommendation for postfix over to the new virtual
    package default-mta (see #522300 and #508644).
  * Enhance bugscript, which now asks to run as root (sudo/su) if invoked by
    a normal user.
  * Include MD5 sums of md-related files in initrd in bug reports.
  * Add grub2 information retrieval to bugscript.
  * Trap SIGINT and thus prevent ctrl-c from terminating the bugscript
    prematurely.

 -- martin f. krafft <madduck@debian.org>  Tue, 05 May 2009 11:46:22 +0200

mdadm (3.0~devel3-1) experimental; urgency=low

  * Initial release of DEVELOPMENT BRANCH 3.0 to experimental.

 -- martin f. krafft <madduck@debian.org>  Thu, 30 Apr 2009 11:51:39 +0200

mdadm (2.6.9-2) unstable; urgency=low

  * Fix the check of whether mdadm.conf defines all devices known to the
    system; thanks Cristian Ionescu-Idbohrn (closes: #525655).
  * No longer pass -k to modprobe, which has been deprecated for a long time;
    thanks to Jan Hudec (closes: #519999).
  * Remove Mario Joußen from the uploaders list, since his email started
    bouncing.
  * Prepare mdadm source to use quilt, with the long-term goal to switch to
    TopGit, once I find the time.
  * Cherry-pick caa0f6c & 667e66d from Neil into a quilt patch to fix gcc-4.4
    compiler issues (closes: #505375).

 -- martin f. krafft <madduck@debian.org>  Sun, 26 Apr 2009 16:08:28 +0200

mdadm (2.6.9-1) unstable; urgency=low

  * New upstream release.
  * Do not set -eu in the bugscript to maximise information output in the case
    of errors.
  * Make initramfs script depend on multipath to ensure its script is run
    before ours (closes: #516605).
  * Provide an alternative (postfix) for mail-transport-agent (closes:
    #522300). I chose postfix because that's the only one I could recommend,
    and since the alternative does not affect people who already have an MTA
    installed, or have a preference, it won't affect them.
  * Honour debconf pre-selection of mdadm/initrdstart (closes: #516802).
  * Incorporate patch from Adrian Bridgett: the initramfs hook now checks to
    see if all known arrays are listed in mdadm.conf and issues a warning if
    this is not the case (closes: #519328).
  * Make checkarray skip over arrays still marked auto-read-only
    (closes: #510641).
  * Add cron.daily snippet from Paul Slootman to run one-shot scans every day
    to ensure that failed arrays don't go unnoticed (closes: #497949).
  * Bumped Standards-Version to 3.8.1; no changes necessary.

 -- martin f. krafft <madduck@debian.org>  Sat, 25 Apr 2009 19:04:47 +0200

mdadm (2.6.8-12-gb47dff6-2) unstable; urgency=low

  * Brown paper bag release: I built from the wrong branch which caused some
    Debian-specific changes not to get into the package. Thus build fixes it.

 -- martin f. krafft <madduck@debian.org>  Mon, 16 Feb 2009 12:15:37 +0100

mdadm (2.6.8-12-gb47dff6-1) unstable; urgency=low

  * New upstream release.
    - better checks asprintf() return codes, thanks to patch from Dustin
      Kirkland (closes: #509167).
  * Fix start/stop runlevels in header of mdadm monitor init.d script
    (closes: #514923).
  * Use modprobe -q instead of --syslog from initramfs (closes: #502988).

 -- martin f. krafft <madduck@debian.org>  Mon, 16 Feb 2009 11:07:18 +0100

mdadm (2.6.7.2-1) unstable; urgency=low

  * New upstream release, created for Debian lenny:
    - fixes assembly of arrays that are being reshaped (closes: #512475)
    - this bug was also responsible for other assembly problems
      (closes: #498505, #499643, #496334)
    Again, many thanks to Neil Brown for being such an awesome upstream.

  * Documentation updates:
    - Actually install David Pashley's blog post added in 2.6.7.1-1, and
      register it with doc-base.
    - Update md.txt to version 2.6.26 (the lenny kernel).
    - Add a dump of a website detailing md superblock formats.
    - Register FAQ, md.txt, RAID5-vs-RAID10, README.recipes with doc-base
    - Cherry-picked UID/UUID typo in mdadm.conf(5) manpage fix (commit
      0e69da7) (closes: #506245).

  * Added Italian debconf translation; thanks Luca Monducci (closes: #506572).

 -- martin f. krafft <madduck@debian.org>  Tue, 03 Feb 2009 21:28:34 +0100

mdadm (2.6.7.1-1) unstable; urgency=low

  * New upstream release, specifically created for Debian lenny to fix the RC
    bugs, which
    - fixes typo in forced assembly code (closes: #496334, #499643, #498505).
    - fixes array component size detection (closes: 500309).
    Thanks Neil Brown, mdadm upstream: you are spoiling me. :)

  * Minor fixes to documentation:
    - Add David Pashley's Rebuilding RAID blog post.
    - Add new (bugfix) version 1.40 of the newdisk script
      (/usr/share/doc/mdadm/examples/newdisk.gz) (closes: #490955).
    - Add link to Warren Togami's writeup about remote RAID-1 conversion to
      README.recipes.
    - Fix probability of survival in FAQ 4b, since I erroneously labeled the
      chance of failure as the chance of survival; thanks to Per Olofssen for
      clarification (closes: #493577).
    - Cherry-picked 6d6de2e from Neil, which adds HOMEHOST to the manpage and
      closes: #489257.

 -- martin f. krafft <madduck@debian.org>  Wed, 15 Oct 2008 10:27:23 +0200

mdadm (2.6.7-3.1) unstable; urgency=low

  * Non-maintainer upload with permission.
  * Ask mdadm/initrdstart at medium priority in chrooted environment.
    (Closes: #493099)
  * Update Swedish debconf translations.  Thanks Martin Ågren.
    (Closes: #492074)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 22:28:53 +0200

mdadm (2.6.7-3) unstable; urgency=low

  * Correct credits in the NEWS file: Suse authored the udev rules, not Ubuntu
    (who use the same file without credit).

 -- martin f. krafft <madduck@debian.org>  Sat, 05 Jul 2008 12:22:58 +0200

mdadm (2.6.7-2) unstable; urgency=low

  * Remove mdrun completely.
  * Import udev vol_id handling from Suse, and thus finally export
    /dev/disk/by-id/* and /dev/disk/by-uuid symlinks (closes: #435983).
  * Update upstream URLs in copyright and watch file (closes: #488364).
  * Bump Standards-Version to 3.8.0; no changes required.
  * Add mdadm homepage link to debian/control.

 -- martin f. krafft <madduck@debian.org>  Wed, 02 Jul 2008 11:13:18 +0200

mdadm (2.6.7-1) unstable; urgency=low

  * New upstream version, which
    - fixes a segfault when reading /proc/mdstat (closes: #462154).
    - fixes a possible bug with v1 bitmap space allocation (closes: #474548).
    - supports large files for loop assembly (closes: #463769).
  * Moved mdadm-raid init.d script to position S60 (from S50) for runlevels
    0 and 6, so that arrays get stopped after cryptdisks-early; thanks to
    J.M.Roth (closes: #486012).
  * Fixed a typo in checkarray; thanks to Helmut Grohne (closes: #445540).
  * Updated debconf translations:
    - Spanish; thanks to Javier Fernández-Sanguino (closes: #477920).
    - Basque; thanks to Piarres Beobide (closes: #478676).
  * Updated logcheck rule so that it matches mdadm log entries with and without
    PID (2.6.5 introduces PIDs in the messages).

 -- martin f. krafft <madduck@debian.org>  Wed, 25 Jun 2008 17:31:15 +0200

mdadm (2.6.4-2) unstable; urgency=low

  * Adjusted logcheck rules to follow kernel changes; thanks to Frédéric
    Brière (closes: #462478).
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #463673
  * Debconf translation updates (thanks to Christian Perrier for compiling
    them):
    * Japanese. Closes: #464438
    * Galician. Closes: #464454
    * French. Closes: #465984
    * Czech. Closes: #466306
    * Dutch. Closes: #466543
    * Russian. Closes: #466577
    * Portuguese. Closes: #466794
    * German. Closes: #466989
    * Vietnamese. Closes: #467118
  * New debconf translations:
    * Finnish. Closes: #468048
  * Fixed bashism in mdadm-raid init.d script; thanks to Raphael Geisser
    (closes: #471874).
  * Do not output warning when run from cron and no arrays are found
    (closes: #474542).
  * Add doc-base registration file; thanks to Roberto C. Sanchez
    (closes: #451684).
  * Reschedule "mdadm Sunday" to 00:57 instead of 01:06 to prevent double
    invocation on DST change (closes: #449244).
  * Bump DH compatibility level to 6; no changes required.

 -- martin f. krafft <madduck@debian.org>  Fri, 11 Apr 2008 10:48:45 +0200

mdadm (2.6.4-1) unstable; urgency=low

  * New upstream release.
  * Apply patch by Petter Reinholdtsen to fix dependency loop in
    init.d script (closes: #460256).
  * Bump Standards-Version to 3.7.3; no changes needed.

 -- martin f. krafft <madduck@debian.org>  Mon, 14 Jan 2008 12:47:14 +0100

mdadm (2.6.3+200709292116+4450e59-3) unstable; urgency=low

  * Patch by Jérémy Bobbio which completes the fix for #444682.

 -- martin f. krafft <madduck@debian.org>  Mon, 01 Oct 2007 16:16:19 +0100

mdadm (2.6.3+200709292116+4450e59-2) unstable; urgency=low

  * Patch the routine loading v1 superblocks to fix a segfault on amd64
    (closes: #444682).

 -- martin f. krafft <madduck@debian.org>  Sun, 30 Sep 2007 14:10:41 +0100

mdadm (2.6.3+200709292116+4450e59-1) unstable; urgency=low

  * New merge from upstream @4450e59ffaf75623fa4261e244b0717a7463aa84
    - makes "--write-mostly" effective when re-adding a device to an array.
      (closes: #442874).
  * Do not call update-initramfs -k all, it can be set via
    /etc/initramfs-tools/update-initramfs.conf (closes: #439334).
  * Depend on udev|makedev instead of just makedev and invoke /dev/MAKEDEV,
    not /sbin/MAKEDEV (closes: #436998).
  * De-escalate the initramfs hook warning about an "emergency procedure" and
    simply note that this involves initramfs assembling arrays it finds
    automatically at boot. Also added a FAQ entry on how to turn off the init
    script warning when no arrays are found (closes: #434934).
  * Add --scan to the single-device-assembly-codepath in the initramfs
    local-top script; thanks to Mario 'BitKoenig' Holbe for the patch
    (closes: #440703).
  * Use short option in initramfs script mkdir call, so make it klibc-utils
    compatible; thanks maximilian attems for the patch (closes: #443436).
  * Handle module name synonyms in initramfs hook script (closes: #432585).

 -- martin f. krafft <madduck@debian.org>  Sat, 29 Sep 2007 21:21:25 +0100

mdadm (2.6.2-2) unstable; urgency=low

  * Fix typos in md(4) manpage; thanks Jeroen (closes: #425576).
  * Make init script not report failure when there are no arrays defined in
    config file.
  * Add /usr/share/doc/mdadm/examples/newdisk, a script to integrate
    a replacement disk into an existing array with minimal effort; will remain
    in examples/ until I had a chance to really test and understand it. Thanks
    to Arno van Amersfoort (closes: #427880).
  * Does some sanity checking for proper format of level= arguments in
    mdadm.conf and bails if an error is found. Since the RAID levels are used
    verbatim as module names, a discrepancy might lead to an unusable system.
    Instead, we thus use the emergency fallback. Thanks to Andrew
    Sackville-West for spotting this and helping me with the fix.

 -- martin f. krafft <madduck@debian.org>  Tue, 10 Jul 2007 09:59:45 +0200

mdadm (2.6.2-1) unstable; urgency=low

  * New upstream release
    - new options --fail detach and --remove faulty can be used to fail and
      remove devices that are no longer physically present (closes: #416512).
    - --help output now goes to stdout (closes: #416653).
    - plenty of manpage fixes, thanks Peter Samuelson (closes: #414688).
  * Incorporated patch by Mikko Rasa to fix detecting of raid6 (and raid10)
    devices with --scan (closes: #421915).

 -- martin f. krafft <madduck@debian.org>  Mon, 21 May 2007 14:25:43 +0200

mdadm (2.6.1-1) unstable; urgency=low

  * Release to unstable.
  * Start arrays read-only in initramfs to prevent syncing and hence enable
    resuming/freezing. The arrays will automatically sync as soon something
    writes to it; thanks to Tim Dijkstra, Neil Brown, and Luis Rodrigo
    Gallardo Cruz (closes: #415441).
  * mkconf now tries to preserve existing values for DEVICE, CREATE and
    HOMEHOST (in addition to MAILADDR, which it preserved previously already).
    PROGRAM is preserved but only added to mdadm.conf if it occured in the
    previously existing configuration file.
  * startall is now mdadm-startall and lives in /sbin, thanks to Eduard Bloch.
    It now can handle existing mdadm.conf files much more gracefully, mostly
    thanks to the above mkconf enhancements (closes: #415336).

 -- martin f. krafft <madduck@debian.org>  Sat, 05 May 2007 16:12:29 +0200

mdadm (2.6.1-1~exp.5) experimental; urgency=low

  * Fix mdadm.conf typo; thanks Tim Phipps (closes: #416626).
  * Execute udevtrigger after assembly of arrays during initramfs processing;
    thanks to Michael Prokop (closes: #416658).

 -- martin f. krafft <madduck@debian.org>  Sat, 31 Mar 2007 12:12:27 +0200

mdadm (2.6.1-1~exp.4) experimental; urgency=low

  * Incorporate patches by Peter Samuelson fixing several typography as well
    as typesetting issues in the manpages. Thanks a lot! (closes: #414688)

 -- martin f. krafft <madduck@debian.org>  Tue, 13 Mar 2007 19:26:37 +0100

mdadm (2.6.1-1~exp.3) experimental; urgency=low

  * Patch by Jørn V. Christensen to properly handle multiple email addresses
    for the MAILADDR setting (closes: #413330).

 -- martin f. krafft <madduck@debian.org>  Mon,  5 Mar 2007 11:19:18 +0000

mdadm (2.6.1-1~exp.2) experimental; urgency=low

  * Updated debconf translations:
    - Galician by Jacobo Tarrio (closes: #412203).

 -- martin f. krafft <madduck@debian.org>  Sat, 24 Feb 2007 16:41:16 +0100

mdadm (2.6.1-1~exp.1) experimental; urgency=low

  * New upstream release, targeted at experimental until etch is out:
    - adds --syslog option (closes: #402457).
    - now can --wait for sync activity to finish (closes: #328197).
    - for other changes, please see /usr/share/doc/mdadm/changelog.gz
  * Updated debconf translations:
    - Portuguese by Rui Branco (closes: #411745).

 -- martin f. krafft <madduck@debian.org>  Thu, 22 Feb 2007 16:35:16 +0100

mdadm (2.5.6-9) UNRELEASED; urgency=low

  * More logcheck filters to prevent redundant information logged by mdadm
    --syslog.
  * Improved mdadm-raid init script to correctly output status information for
    drives that are initialising or adding spares.

 -- martin f. krafft <madduck@debian.org>  Thu, 11 Jan 2007 16:05:12 +0100

mdadm (2.5.6-8) unstable; urgency=low

  * Hard-code path to /sbin/mdadm binary rather than searching the $PATH. This
    closes: #403307 and should be a little more robust in the presence of
    installations of mdadm in /usr/local.
  * Made the bugscript a little more failure-resilient.
  * Added more documentation.

 -- martin f. krafft <madduck@debian.org>  Mon,  8 Jan 2007 02:04:25 +0100

mdadm (2.5.6-7) unstable; urgency=low

  * Only parse ARRAY lines from configuration file when collecting the array
    pairs. Thanks to Daniel Dehennin for the bug report and suggested fix
    (closes: #402106).
  * Prevent modules from being loaded during initramfs time if no arrays are
    to be assembled at this stage.
  * Export DAEMON_OPTIONS to /etc/default/mdadm, which gets passed to the
    mdadm daemon on startup from the init.d script. The value is set to
    -y/--syslog by default, and will get incorporated into debconf in a future
    version; thanks for the idea by Alex Owen (closes: #401696).
  * Incorporate patch by upstream to fix handling of --syslog long option
    (closes: #402457).
  * Added logcheck filters for new syslog entries by mdadm monitoring daemon.
  * Added Spanish debconf translation by Javier Fernández-Sanguino
    (closes: #402681).

 -- martin f. krafft <madduck@debian.org>  Tue, 12 Dec 2006 11:49:52 +0100

mdadm (2.5.6-6) unstable; urgency=medium

  * Fixed a typo in the debconf control script which would cause failures with
    a dash shell; thanks to Santiago Garcia Mantinan for reporting this, and
    Andreas Metzeler for providing a solution (closes: #399315).

 -- martin f. krafft <madduck@debian.org>  Mon, 20 Nov 2006 15:02:34 +0800

mdadm (2.5.6-5) unstable; urgency=low

  * Prevent initramfs hook from exiting prematurely when VERBOSE=false.
  * Moved debconf question about arrays to start by initramfs to high
    priority.

 -- martin f. krafft <madduck@debian.org>  Mon, 13 Nov 2006 11:24:21 +0100

mdadm (2.5.6-4) unstable; urgency=low

  * Actually remove mdadm.conf on purge; previously, the generation of
    a temporary file for initramfs would screw up the purging; thanks to
    Fabrice Lorrain for the report (closes: #398088).

 -- martin f. krafft <madduck@debian.org>  Sat, 11 Nov 2006 20:07:55 +0100

mdadm (2.5.6-3) unstable; urgency=low

  * Fix a syntax error in mdadm-raid script.

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 15:47:51 +0100

mdadm (2.5.6-2) unstable; urgency=low

  * Small fixes to mkconf, now returns 255 instead of -1.
  * Added /usr/share/mdadm/startall, a helper script to facilitate starting
    all arrays when booting from rescue/live media. It overrides AUTOSTART in
    /etc/default/mdadm and starts arrays even if the variable is set to
    a false value.

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 14:44:35 +0100

mdadm (2.5.6-1) unstable; urgency=low

  * New upstream release:
    - added note to mdadm(8)/--metadata about overriding the default in
      mdadm.conf (closes: #396914).
    - fixed problems that could cause infinite loop with auto assemble. Thanks
      to Dan Pascu for pointing this out (closes: #396582).
    - fixed problems with bitmap file names lost after reading from
      configuration file.
  * Merged patch by Dan Pascu to nicely handle situations where a degraded
    array only has one drive left nicely by the mdadm-raid script.
  * Updated Japanese debconf translation; thanks to Hideki Yamane
    (closes: #396400).

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 00:47:45 +0100

mdadm (2.5.5-1) unstable; urgency=low

  * New upstream release:
    - fixes the build problems on several architectures (closes: #393314) by
      including the contents of linux/blkpg.h literally, not via #include.
    - optimises bitmap file use on 64bit systems.
    - does not error out anymore when trying to assemble an already assembled
      array without a corresponding /dev device node.
    - does not report an error if --assemble --scan only finds already running
      arrays.
    - fixes several bugs related to RAID10 and the new offset layout.
    - improves error message when a wrong '--update' option is given.
  * Added FAQ entries about partitionable arrays.
  * chroot detection now also works for 2.6.18 and beyond (c.f. kernel commit
    778c1144771f0064b6f51bee865cceb0d996f2f9).
  * Now recommends module-init-tools.
  * Hides ugly errors during configuration in the absense of module-init-tools
    or initramfs-tools.
  * Send udev events for arrays assembled by the mdadm-raid init.d script.
    This does not close #394193 but it's a good addition anyway. I am not
    sending these events from the initramfs as well because it would be
    non-trivial to ensure that an event doesn't get sent twice for a given
    array.
    Anyway, this is all a hack until the kernel sends online/offline events to
    udev. See #394193.
  * Added more RAID10 information to the FAQ.
  * Added filters to logcheck for regular events, even by the md driver; also
    promoted messages about non-fresh components to security events.
  * Hide informational messages unless VERBOSE is set to a true value in
    /etc/default/mdadm.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Oct 2006 22:35:24 +0200

mdadm (2.5.4-1) unstable; urgency=low

  * New upstream release:
    - --examine now reports chunk size also for RAID6 and RAID10
    - fix endianness issues with v1 superblocks (closes: #385726) and bitmap
      metadata.
    - improved message when mdadm detects similar superblocks
      (closes: #385951).
    - documents that the automatic update of the super-minor field in the
      superblock when using a 2.6 kernel only applies to RAID levels 1 and
      higher. RAID0 array superblocks must be manually updated
      (closes: #386315, #388172).
    - removes partition table from any whole device added to an array.
    - allow --auto=yes to specify a number; if mdadm determines from the
      device name that you want a partitionable array, this number determines
      the number of sub-device nodes to create.
  * Removed patch previously used to fix #385951 because it's not adequate.
    See the bug log for reasons.

 -- martin f. krafft <madduck@debian.org>  Fri, 13 Oct 2006 08:32:20 +0200

mdadm (2.5.3.git200608202239-8) unstable; urgency=low

  * This revision is dedicated to Peter Samuelson for his RAID10 expertise^W
    educated guess^W^W pure luck. (:
  * Now writes minimal mdadm.conf file even if the MD subsystem has not been
    loaded and the scan for arrays thus failed.
  * Now tries to ensure that the configuration file used for the initramfs
    actually defines arrays.
  * Now preserves MAILADDR from an existing mdadm.conf when generating a new
    one.
  * Documentation updates.
  * Updated debconf translations:
    - German by Mario Joußen.
    - Vietnamese by Clytie Siddall (closes: #390311).
    - Dutch by Frans Pop (closes: #390955).
    - French by Jean-Luc Coulon (closes: #391215).

 -- martin f. krafft <madduck@debian.org>  Fri,  6 Oct 2006 15:03:46 +0200

mdadm (2.5.3.git200608202239-7) unstable; urgency=medium

  * Fixed a serious bug in the debconf script which would cause the
    configuration to exit prematurely in cases when the root could not be
    determined. Since this is RC, the urgency is set to medium.
  * Updated the documentation a bit.
  * Updated debconf translations:
    - Swedish by Daniel Nylander (closes: #389040).
    - Czech by Miroslav Kure (closes: #389083).
    - Russian by Yuri Kozlov (closes: #389086).
    - Brazilian Portuguese by Felipe Augusto.

 -- martin f. krafft <madduck@debian.org>  Fri, 29 Sep 2006 16:31:44 +0200

mdadm (2.5.3.git200608202239-6) unstable; urgency=high

  * Bumping urgency to high because previous version has been in unstable for
    three days and this one really only fixes a stupid segfault:
  * Reworked the parsing of /proc/partitions and spotted a mean segfault
    (closes: #388355).

 -- martin f. krafft <madduck@debian.org>  Thu, 21 Sep 2006 15:25:21 +0200

mdadm (2.5.3.git200608202239-5) unstable; urgency=medium

  * Keeping medium urgency due to RC bug.
  * Modified the patch responsible for pruning parent devices so that
    superblocks at the end of a disk do not get interpreted twice. It now
    makes less assumptions about the exact output of /proc/partitions and
    should thus be more robust (now closes: #385951).
  * Added code that defers mdadm preconfiguration when the debconf backend is
    too old (and does not provide debconf-escape). Now configuration is
    postponed until the postinst is run in this case.

 -- martin f. krafft <madduck@debian.org>  Thu, 14 Sep 2006 11:16:39 +0200

mdadm (2.5.3.git200608202239-4) unstable; urgency=medium

  * Correct error related to an unbound variable in postinst.
  * Keeping medium urgency.

 -- martin f. krafft <madduck@debian.org>  Wed, 13 Sep 2006 20:49:33 +0200

mdadm (2.5.3.git200608202239-3) unstable; urgency=medium

  * Urgency medium because of RC bugs.
  * Add versioned dependency to debconf (closes: #385994); temporary fix until
    we find a proper fix for #386439.
  * Add patch by Steinar H. Gunderson to ensure mdadm does not interpret
    a superblock as belonging to a device when it's actually part of
    a partition on that device (closes: #385951).
  * Do not override the superblock default version in mdadm.conf to prevent
    creation of superblocks that the kernel can't handle (closes: #384614).
  * Added a note to alert people that the warning about arrays not listed in
    the configuration file is only relevant if the arrays are needed to be
    brought up by mdadm from initramfs during boot (closes: #385017).
  * Added bootloader/cmdline info to bugscript so that future bug reports via
    bug/reportbug include information on how the system is booted with respect
    to RAID (the root partition).
  * If mdadm is being configured in a chroot, it now defaults to starting all
    arrays from the initial ramdisk, rather than trying to figure out the root
    MD array (we're using /proc information, so it would be the one of the
    host, not the one of the chroot) (closes: #386468).
  * Added LSB headers to init scripts.
  * Reworked the documentation with respect to the use of "MD" and "RAID", and
    added a FAQ entry on the meaning of "MD". Thanks to Frans Pop for his
    help!
  * Updated debconf translations:
    - Czech by Miroslav Kure (closes: #384754).
    - French by Florentin Duneau (closes: #385690).
    - Russian by Yuri Kozlov (closes: #387017).

 -- martin f. krafft <madduck@debian.org>  Thu,  7 Sep 2006 14:32:04 +0200

mdadm (2.5.3.git200608202239-2) unstable; urgency=low

  * Allow ARRAY lines in configuration file to break across lines
    (closes: #384222).
  * Improved initramfs hook; now does not rely on initramfs to provide RAID
    assembly:
    - if a checked mdadm.conf file is present, use that.
    - if an unchecked mdadm.conf is present, create a temporary one
      - if that fails, use the unchecked one iff it contains at least one
        ARRAY statement. Otherwise rely on auto-generation from the initramfs
        during the book (and hope for the best).
    - if no mdadm.conf is found, create one on the fly
      - if that fails, hope that the auto-generation will work during boot
  * Improved the messages printed by the initramfs script.
  * Do not store the debconf answer for whether arrays not listed in the
    configuration file should be used.
  * Now asks again for the devices to start (preseeded with 'all') if the user
    does not want to proceed with devices not listed in the configuration
    file.

 -- martin f. krafft <madduck@debian.org>  Wed, 30 Aug 2006 16:29:07 +0200

mdadm (2.5.3.git200608202239-1) unstable; urgency=low

  * Tracking upstream git releases.
    - now the --run switch behaves as stated in the manpage. This properly
      fixes #287415
    - new version-1 partitionable arrays are now named X instead of _dX (e.g.
      0 instead of _d0) for device names like md_dX. I actually think this is
      a bug and hope upstream will use dX (e.g. d0) instead in a future
      version.
    - we specify --symlink=no and thus disable the new feature to create
      /dev/mdX symlinks to /dev/md/X devices until the entire device node mess
      is cleared up. No need to introduce yet another complicating factor at
      this stage.
  * Instead of trying to do a whole lot of magic with respect to detecting
    RAID devices to start, mdadm from now on requires a valid mdadm.conf file
    to be installed. It still tries to do what it can, but there are no
    heuristics anymore. See /usr/share/doc/mdadm/README.upgrading-2.5.3 .
  * Removed the zero-superblock warning because we require the user to sign
    off the configuration file anyway.
  * This also enables us to use mdadm.conf from the initial ramdisk and thus
    closes: #381303.
  * In case the user chooses to assemble all arrays from the initial ramdisk,
    use the new homehost feature of mdadm (closes: #381057). This will start
    only those arrays belonging to the local system, unless it is the first
    run on a system, in which case it will start all arrays and mark them as
    belonging to the local system.
  * Improved the debconf control script: integrated error messages into the
    frontends, and made it a bit smarter. Error messages can now be
    translated, and the script checks whether the user's choice is listed in
    the configuration file and only proceeds if it is, or the user chooses to
    ignore that it is not.
  * mkconf can now take a generate/force-generate parameter to write directly
    to /etc/mdadm/mdadm.conf. A second parameter specifies an alternate
    filename.
  * mkconf now outputs comments for the settings it suggests.
  * Removed all udev-related stuff. We must coexist with udev because there
    are setups that assemble arrays without mdadm, so the device nodes must be
    created by udev, if that is used.
    (closes: #382263, #382450, #383688, #383891, #383806, #382480)
    Staying at low urgency since these (RC) bugs only exist in unstable.
  * Now installs MD modules and mdadm/mdrun into initial ramdisk regardless of
    whether the hook script thinks there are devices to start. This was done
    to enable recovery from the initramfs shell.
  * Now uses 'MD' instead of 'RAID' consistently in all messages.
  * Now rebuilds initramfs for all installed kernels.
  * Now breaks the endless config loop only when the user does not see the
    question (see #381284, #381007).
  * Don't fail mdadm-raid when /dev is on a read-only filesystem
    (closes: #382876).
  * Updated debconf translations:
    - French by Florentin Duneau (closes: #382389).

 -- martin f. krafft <madduck@debian.org>  Mon, 21 Aug 2006 00:25:22 +0100

mdadm (2.5.2-10) unstable; urgency=low

  * Applied patch by upstream to fix the logic of the --run switch (see
    #287415). Thus also reverted the mdadm-raid hack used to fix the bug in
    the 2.5.2-9 upload.
  * Recognise devfs-style device nodes by fixing a regression bug in the root
    RAID autodetection code (closes: #381007), which was introduced as part of
    the fix for #380596 in the 2.5.2-9 upload. The bug is RC, but it only
    applies to unstable right now, so I am not pumping up the urgency.
    The autodetection code now doesn't care about the actual name of the array
    device, but instead only insists that it exists, is a block device, and
    recognised as an array by mdadm (mdadm --detail).
  * Added safety net to prevent endless loops in RAID autodetection. Now just
    falls back to starting all arrays from the initramfs if it fails to
    determine an acceptable array for the / filesystem in three tries
    (closes: #381284, also see #381007).
  * Added udev rules file to prevent udev from ever creating md device nodes,
    which can get in the way of mdadm (also see next item).
  * Added a workaround to the initramfs hook to deal with the problem with
    /dev/md/X device nodes when /dev/mdX is also present and version-0
    superblocks are in use (closes: #381181).
  * checkarray: correctly recognise when the kernel is too old for parity
    checks, or when there are no redundant arrays present (closes: #380746).
  * checkarray: now supports -s|--status switch to query parity check status
    for given devices.
  * checkarray: now supports -x|--cancel switch to cancel running checks.
  * mkconf: now also outputs 'MAILADDR root' and 'HOMEHOST <system>'.
  * Added README.checkarray with some information about the check process.
  * Added /usr/share/doc/mdadm/FAQ to answer some FAQs.

 -- martin f. krafft <madduck@debian.org>  Thu,  3 Aug 2006 22:54:04 +0100

mdadm (2.5.2-9) unstable; urgency=low

  * Added logcheck rules for kernel messages generated by checkarray, using
    logcheck server level.
  * Added handling of partitionable arrays to root RAID autodetection script
    (closes: #380596).
  * Forcing RAID assembly to run the arrays, working around an upstream bug
    until that's fixed (closes: #287415).
  * Updated documentation in README.initramfs-transition to include
    information related to #380089.
  * Updated debconf translations:
    - Vietnamese by Clytie Syddall, thanks!

 -- martin f. krafft <madduck@debian.org>  Mon, 31 Jul 2006 14:35:38 +0100

mdadm (2.5.2-8) unstable; urgency=low

  * Re-added rootraiddoc.97.html which was mysteriously lost (closes: #378678).
  * Catching modprobe error in case of absence of the kernel modules, or
    a non-modular kernel. Thanks to Holger Levsen.
  * Copy raid456 kernel module into initramfs, if present (closes: #380152).
  * checkarray: check for presence of active RAID arrays and give an
    appropriate error if there are none present (closes: #379019).
  * checkarray: skip sync for non-redundant devices (closes: #379352, #380424).
  * Fixing cron registration for checkarray. crontab(5) is really stupid and
    makes me think that they simply documented a bug instead of fixing it, so
    now I have to hack around it. See the cron.d file (closes: #380425).
  * Removed the code writing auto-detected devices to /var, which was silly
    since /var isn't necessarily mounted yet by the time mdadm-raid is called.
    Thanks to Maurizio Avogadro for pointing this out.
  * Add reference to BAARF to README.Debian and included the RAID5 vs RAID10
    article from the BAARF website.
  * Updated debconf translations:
    - Japanese by Hideki Yamane, thanks!
    - French by Florentin Duneau, thanks! (closes: #379511)

 -- martin f. krafft <madduck@debian.org>  Thu, 27 Jul 2006 22:49:32 +0100

mdadm (2.5.2-7) unstable; urgency=low

  * Release to unstable.

 -- martin f. krafft <madduck@debian.org>  Thu, 20 Jul 2006 17:23:23 +0100

mdadm (2.5.2-6) experimental; urgency=low

  * Adding mdrun to generated udeb. I will only remove mdrun after etch.
  * Updated debconf translations:
    - Dutch, thanks to Frans "Franzerl" Pop! (closes: #377412)
    - French, thanks to Florentin Duneau! (closes: #377968)

 -- martin f. krafft <madduck@debian.org>  Thu, 13 Jul 2006 23:11:24 +0200

mdadm (2.5.2-5) UNRELEASED; urgency=low

  * Remove the check for the lvm prereq in the initramfs hook, as #369617 is
    now fixed. Thus conflicts against initramfs-tools (<< 0.65).
  * Updated debconf translations:
    - German, thanks to Mario Joußen!
  * Added short note about maintenance in SVN to README.Debian.

 -- martin f. krafft <madduck@debian.org>  Thu, 13 Jul 2006 23:10:36 +0200

mdadm (2.5.2-4) UNRELEASED; urgency=low

  * The "it takes two to swing" release.
  * Now does not stop arrays on upgrade or remove. Thanks (and sorry) to
    Christian Pernegger (and hopefully no others).
  * Fixed small problem in debconf configuration script related to unbound
    MAIL_TO variable. Thanks to Christian Pernegger.

 -- martin f. krafft <madduck@debian.org>  Fri,  7 Jul 2006 16:59:01 +0200

mdadm (2.5.2-3) UNRELEASED; urgency=low

  * The initramfs now gets all RAID modules installed. It's a lot safer to
    have them all around, the size difference is negligible, and we still only
    load the needed ones at boot time.
  * Added /usr/share/mdadm/checkarray, which can be used to check arrays for
    parity. Also added a debconf question to let the user choose whether
    cron should run these checks (closes: #377071).
  * Only shut down arrays automatically when they've been automatically
    started (closes: #376009).
  * Make sure the user has a chance to choose the autostart feature by
    elevating the debconf priority to high (see #376009). The warning about
    reuse of RAID components has also been elevated to debconf priority high.
  * The MAIL_TO setting from /etc/default/mdadm has been removed. Instead, use
    MAILADDR in /etc/mdadm/mdadm.conf. See mdadm.conf(5). Your setting should
    be automatically migrated.
  * Now rewrites /etc/default/mdadm (but preserves settings) instead of trying
    to patch it with changes.
  * Added note to README.Debian to ensure users know that only the devices
    listed in mdadm.conf will be autostarted (see #376009).
  * Now includes latest md.txt from kernel documentation in
    /usr/share/doc/mdadm/md.txt.gz.
  * Added some more recipes to /usr/share/doc/mdadm/README.recipes.gz.
  * Updated debconf translations:
    - Swedish, thanks to Daniel Nylander!
    - Brazilian Portuguese, thanks to Felipe Augusto van de Wiel!
    - Czech, thanks to Miroslav Kure!
    - Russian, thanks to Yuri Kozlov (closes: #376181).
  * Further updates to the debconf templates; I hope the translators aren't
    going to kill me.

 -- martin f. krafft <madduck@debian.org>  Fri,  7 Jul 2006 15:09:40 +0200

mdadm (2.5.2-2) experimental; urgency=low

  * The "if it weren't for Munich's wheat beer, there'd be no" release.
  * Removed -fno-strict-aliasing from compiler options, after upstream fixed
    the bug that led to its use (see #369779, #356153). Thanks to Elimar
    Riesebieter for pointing this out (closes: #375876).
  * Moved detection of RAID devices from initramfs hook to debconf control
    file, and added a (low-priority) debconf question as to which devices
    should be started early in the boot sequence. For the cases where we
    failed to auto-detect previously (e.g. root on LVM on RAID), it's paranoid
    and suggests to start them all (closes: #375879). Thanks to Alec Berryman
    for spotting this.
  * Fixed a typo in README.experimental, which could lead to an unbootable
    system with initramfs-tools 0.64 or before. Again, thanks to Alec for
    spotting this.
  * Extended bug script to include --examine output for all components (at
    least if called by root, which hopefully should never happen. Err,
    wait...)
  * Disabled deprecation warning in mdrun until the transition is complete.
  * Reworded the debconf templates due to a new question, and also for
    readability.

 -- martin f. krafft <madduck@debian.org>  Thu, 29 Jun 2006 22:54:47 +0200

mdadm (2.5.2-1) experimental; urgency=low

  * New upstream release.
  * Implemented checks in the initramfs hooks and scripts for compatibility
    with initramfs-tools. Now we do not need a conflict anymore because
    mdadm's hooks and scripts will simply do nothing while the ones provided
    by initramfs-tools are still present.
  * Not using /bin/bash for mdrun, which I thought we'd need for read timeout
    support (for the deprecation warning). Since the -n and -t flags to the
    read shell builtin are non-POSIX, I dropped them, they were merely
    cosmetic anyway.

 -- martin f. krafft <madduck@debian.org>  Tue, 27 Jun 2006 15:06:55 +0200

mdadm (2.5.1-2) experimental; urgency=low

  * Updating dependency on initramfs-tools, which has not yet adopted to mdadm
    taking over the hooks.

 -- martin f. krafft <madduck@debian.org>  Mon, 26 Jun 2006 22:35:08 +0200

mdadm (2.5.1-1) experimental; urgency=low

  * New upstream release:
    - Really fixes return status of examine (closes: #367901).
    - Fixes a memory leak in monitor mode (closes: #372618).
    - Fixes compiler warnings and errors (closes: #373802, #356153, #369779).
    - Fix byte swapping issues (closes: #369765).
    - Now lists devices it stops (closes: #369850). This also leads to
      beautification of the init.d script's stop action.
  * Fixed RAID init script to not complain about missing logger command.

 -- martin f. krafft <madduck@debian.org>  Mon, 26 Jun 2006 00:58:36 +0200

mdadm (2.5-4) experimental; urgency=low

  * The "would you like fries with your parasite?" release.
  * Now does not require RAID support from the kernel just for package
    installation; that was silly of me, sorry (closes: Bug#370115).
  * Added version to Replaces: initramfs-tools dependency.
  * Further init.d script improvements.
  * Recommends mail-transport-agent, or the monitor daemon won't be able to
    send anything.
  * Ignores failures from modprobe in postinst when RAID modules are not
    available (closes: #370582).

 -- martin f. krafft <madduck@debian.org>  Tue,  6 Jun 2006 12:45:53 +0200

mdadm (2.5-3) experimental; urgency=low

  * Added /usr/share/doc/mdadm/README.recipes with some common usage examples.
  * Vastly improved the mdadm-raid init.d script output, and removed bashisms.

 -- martin f. krafft <madduck@debian.org>  Fri,  2 Jun 2006 00:45:06 +0200

mdadm (2.5-2) experimental; urgency=low

  * The "on her majesty's secret service" release.
  * Enabled -DDEBIAN during build, which will take care of default permissions
    on devices created by mdadm. Together with the CREATE configuration
    directive in 2.5, this now certainly closes: Bug#310241.
  * Added a patch (incorporating lib/mm/xlate.h from lvm2) to prevent direct
    access to kernel headers from userspace (closes: Bug#369765).
  * Disabled strict aliasing compiler checks until we find a better
    implementation for linked lists in C (closes: Bug#369779, Bug#356153).
  * Actually decreased the size of the udeb mdadm binary with -Os
    -fomit-frame-pointer (as suggested by Joey Hess) (closes: Bug#314370)
  * Added Replaces: initramfs-tools to communicate that we're not conflicting
    but replacing instead (see Bug#367567)
  * Updated conflict with initramfs-tools to (<< 0.63) per suggestion by the
    maintainers.

 -- martin f. krafft <madduck@debian.org>  Thu,  1 Jun 2006 20:15:17 +0200

mdadm (2.5-1) experimental; urgency=low

  * The "show me the way to the next whiskey bar" release.
  * See /usr/share/doc/mdadm/README.experimental or
    http://madduck.net/~madduck/scratch/README.experimental
  * New upstream release:
    - mails include /proc/mdstat output (closes: Bug#355882)
    - allows specification of device permissions in config (closes: Bug#310241)
  * /sbin/mdrun has been deprecated and replaced by calls to /sbin/mdadm;
    a proper deprecation warning is in place (see NEWS).
  * Moved initramfs hook and script into the package, and switched it to mdadm
    (from mdadm. Thanks to Stephen Frost for his help (closes: Bug#354144).
    This should make sure that the right minor numbers are chosen during boot
    (mainly because mdadm takes care of it all) (closes: Bug#361408).
  * Removing mdrun from the udeb (d-i patch submitted to debian-boot mailing
    list)
  * Upstream links against openssl for SHA1 support (homehost feature), which
    is a problem. An internal SHA1 implementation is provided, however, so
    I just link against that.
  * Switched init.d scripts to use LSB-compliant output.
  * Enhanced init.d script output.

 -- martin f. krafft <madduck@debian.org>  Thu,  1 Jun 2006 02:20:22 +0200

mdadm (2.4.1-2) unstable; urgency=low

  * The "this took way longer than I thought" release.
  * Migrating to unstable.
  * If the init.d script creates the mdadm.conf file, it should remove it on
    purge. To accomplish this, I create a semaphore in /var/lib/mdadm if it
    was generated, and only remove the conffile on purge if the semaphore
    exists.
  * Added a little helper /usr/share/mdadm/mkconf to aid generation of
    configuration file.
  * Added a bug script to collect some important information when the user
    uses Debian bug reporting tools (such as reportbug).
  * Added a debian/watch file.

 -- martin f. krafft <madduck@debian.org>  Wed, 31 May 2006 23:07:48 +0200

mdadm (2.4.1-1) experimental; urgency=low

  * The "I'll kill that maintainer... uh, wait, it's me" release. Sorry for
    the delay, here's the long awaited new upstream release (closes:
    Bug#337903, Bug#363592), which gets rid of a bunch of functionality bugs:
    - reiserfs size does not overflow anymore (closes: Bug#318230)
    - fixed typos in manpages (closes: Bug#352798)
    Oh, and we're moving away from that arch nightmare too. Sorry for the
    confusion.
  * Experimental release, because I really don't want to be responsible for
    data loss. Though I am quite sure that the upgrade is painless, I also
    don't have access to 18 drive RAID 10 with multipath on s390 or similar
    arrangements.
  * We now make the /dev/md* devices in postinst unless /dev/md15 exists (no
    longer checking for /dev/md0), or unless devfs is in use. If udev is used,
    /dev/md15 will only exist in complex setups, so the devices will be made
    in /dev/.static by MAKEDEV, which is not really a concern. I opted against
    unconditionally calling MAKEDEV until #367407 is fixed so as to preserve
    custom permissions or owner settings. This also acknowledges the NMU
    (#299623).
    closes: Bug#310247, Bug#299623
  * Patched some of the code to make mdadm honour /etc/mdadm/mdadm.conf over
    /etc/mdadm.conf (see NEWS).
  * Fixed a couple of typos in the mdadm(8) manpage; thanks to Reuben Thomas.
    closes: Bug#345669, Bug#345667
  * Pushed Standards-Version to 3.7.2; no changes required.
  * Updated Debconf translations:
    - Vietnamese by Clytie Siddall (closes: Bug#323950)
    - Czech by Miroslav Kure (closes: Bug#360290)
    - Russian by Yuri Kozlov (closes: Bug#361116)
    - French by Eric Madesclair (closes: Bug#323988)
  * Added new Debconf translations:
    - Swedish by Daniel Nylander (closes: Bug#333486)
    - Dutch by Frans Pop (closes: Bug#344714)

 -- martin f. krafft <madduck@debian.org>  Tue, 16 May 2006 18:21:36 -0500

mdadm (1.12.0-1) unstable; urgency=low

  * New upstream release.
    (obsoletes branches: symlinks)
    (reduces branches: gcc4signedness, debian, autoscan)
  * Fixed typo in mdadm.conf(5) manpage (closes: Bug#321152).

 -- martin f. krafft <madduck@debian.org>  Sun, 24 Jul 2005 19:20:01 +0200

mdadm (1.9.0-5) unstable; urgency=low

  * martin f. krafft: (the, "look ma', we're maintained in arch now!" release)
    (no functional differences except for added/updated translations)
    - Acknowledge NMU by Steve Langasek; thanks! (closes: Bug#299623)
    - split diff.gz into different arch branches (see debian/arch-branches).
    - debian/control:
      - Changed maintainer to pkg-mdadm-devel.
      - Reworded some of the descriptions (closes: Bug#304170).
      - Pushed Standards-Version to 3.6.2.1; no changes needed.
      - fixed po-debconf integration
    - debian/rules:
      - fixed po-debconf integration
    - l10n changes:
      - Removed amiguity from debconf template (closes: Bug#312754).
      - Added Vietnamese debconf translation; thanks to Clytie Siddall!
        (closes: Bug#312753)
      - Added Czech debconf translation; thanks to Miroslav Kure! (closes: Bug#319626)
      - Updated German debconf translation; thanks to Jens Seidel! (closes: Bug#313981)
    - backported upstream's gcc4 signedness fixes from 1.12.0 (gcc4signedness
      branch) (closes: Bug#319743).

 -- martin f. krafft <madduck@debian.org>  Sun, 24 Jul 2005 17:58:46 +0200

mdadm (1.9.0-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Make sure error output from MAKEDEV is sent to stderr, to avoid
    interfering with debconf; this avoids installation problems on
    udev-using systems.  Thanks to Jonas Smedegaard for the patch.
    Closes: #299623.

 -- Steve Langasek <vorlon@debian.org>  Wed,  1 Jun 2005 03:36:42 -0700

mdadm (1.9.0-4) unstable; urgency=high

  * High-urgency upload for sarge targeted RC bugfix.
  * mdrun: replaced invocation of /usr/bin/seq with hard-coded sequence
    (closes: Bug#310671).

 -- martin f. krafft <madduck@debian.org>  Wed, 25 May 2005 09:51:41 +0200

mdadm (1.9.0-3) unstable; urgency=high

  * High-urgency upload for sarge targeted RC bugfix.
  * Applied patch by Peter Samuelson <peter@p12n.org>, which causes mdadm to
    follow symlinks of device nodes (closes: #274859, #310412, #310492).
  * Added myself as co-maintainer as per agreement with Mario Joussen.

 -- martin f. krafft <madduck@debian.org>  Tue, 24 May 2005 00:03:49 +0200

mdadm (1.9.0-2.3) unstable; urgency=high

  * Non-maintainer upload.
  * Do not prevent postinst node creation when udev is being used; MAKEDEV
    puts files into /dev/.static/dev with udev, which is needed so that device
    nodes will be there even if udev is removed. Sorry for letting this slip
    my mind and thanks to Steve Langasek for spotting this error.
  * Leaving urgency at high to make sarge.

 -- martin f. krafft <madduck@debian.org>  Sun, 22 May 2005 19:35:04 +0200

mdadm (1.9.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge targeted RC bugfix.
  * Move mdadm-raid back to S25 as it needs to run after modules have been
    loaded at S20 (see followups to #294404, #301560).
  * Verified that Steve Langasek's patch to config.c (see item 4 of the
    1.9.0-2.1 changelog) is necessary for `mdadm -A -s` to work.
    (closes: #301560)
  * Integrated patch by Erik van Konijnenburg to fix mdadm's --auto
    option in the presence of --scan.
    (closes: #294404, #273182, #284028, #310126).
  * Modified mdrun to call mdadm with --auto in assembly mode. Removed code
    which would auto-create 24 device nodes during system startup when udev
    was used.
  * Fixed next_free_md function in mdrun to iterate all 24 nodes instead of
    using some fragile shell globbing, which did not work anyway.
  * Prevent postinst node creation when udev is being used.
  * Added a README.udev file to /usr/share/doc/mdadm.

 -- martin f. krafft <madduck@debian.org>  Sun, 22 May 2005 12:57:56 +0200

mdadm (1.9.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge targetted RC bugfix.
  * Start mdadm-raid before udev on boot-up, so that mdadm device node
    creation is honored, and support changing the init script ordering
    on upgrades (closes: #294404).
  * Fix mdadm --scan to prefer the values contained in /proc/partitions,
    instead of picking up device node names at random from /dev.
  * Teach mdrun to look at /dev/.static/dev instead of /.dev for udev
    mounts requiring autostart (closes: #301560).

 -- Steve Langasek <vorlon@debian.org>  Sun, 27 Mar 2005 21:59:12 -0800

mdadm (1.9.0-2) unstable; urgency=low

  * Patched is_standard() to accept /dev/md/* names as standard.
    Thanks to Colin Watson <cjwatson@debian.org>.
    (closes: Bug#296794)
  * Added another typecast to make it compilable on amd64 with gcc-4.0.
    Thanks to Andreas Jochens <aj@andaco.de>.
    (closes: Bug#294217)
  * Removed unnecessary second assignment to $BASE in mdrun.
    Thanks to Colin Watson <cjwatson@debian.org>.
    (closes: Bug#295433)

 -- Mario Joussen <joussen@debian.org>  Sun,  6 Mar 2005 14:22:24 +0100

mdadm (1.9.0-1) unstable; urgency=high

  * New upstream release.
    Solves problems with same UUID for each array.
    Again a stable upstream version.
    (closes: Bug#292282, Bug#293406, Bug#292784, Bug#290363, Bug#292715)
  * Added some typecasts to make it compilable on amd64 with gcc-4.0.
    Thanks to Andreas Jochens <aj@andaco.de>.
    (closes: Bug#287638)

 -- Mario Joussen <joussen@debian.org>  Sun,  6 Feb 2005 12:25:03 +0100

mdadm (1.8.1-1) unstable; urgency=low

  * New upstream release.
    Fixed segfault if no config file present and --scan is used.
    (closes: Bug#283425, Bug#282604, Bug#284024)
  * Fixed typo in detailed help of grow mode.
    (closes: Bug#286980)
  * Added japanese debconf translation. Thanks to Hideki Yamane
    <henrich@samba.gr.jp>.
    (closes: Bug#281073)
  * Fixed missing variable initialization causing segfaults.

 -- Mario Joussen <joussen@debian.org>  Sun, 26 Dec 2004 14:44:31 +0100

mdadm (1.7.0-2) unstable; urgency=high

  * Changed debconf script to save the settings from the config file.
    Thanks to Fabio Massimo Di Nitto <fabbione@fabbione.net> and
    Frank Lichtenheld <djpig@debian.org> for the patch.
    (closes: Bug#274208)
  * Moved try to load md module inside the AUTOSTART if branch in
    /etc/init.d/mdadm.
  * Removed try to load md module from /etc/init.d/mdadm-raid.

 -- Mario Joussen <joussen@debian.org>  Sun, 24 Oct 2004 19:48:06 +0200

mdadm (1.7.0-1) unstable; urgency=low

  * New upstream release.
    (closes: Bug#267814)

 -- Mario Joussen <joussen@debian.org>  Sun, 12 Sep 2004 20:48:33 +0200

mdadm (1.6.0-3) unstable; urgency=high

  * Added 'Conflicts: raidtools2 (<< 1.00.3-12.1)' because these packages
    contain a mdrun.8 man page also.
    (closes: Bug#268634, Bug#266527)
  * Updated the french translation.
    Thanks to Eric <eric-m@wanadoo.fr>
    (closes: Bug#266251)

 -- Mario Joussen <joussen@debian.org>  Sat, 28 Aug 2004 18:23:17 +0200

mdadm (1.6.0-2) unstable; urgency=low

  * Included version 0.97 of "Debian Software Root Raid Documentation".
  * Now mdrun is only used if no mdadm.conf is present.
    Thanks to Thomas Prokosch <7nrmi1s02@sneakemail.com>.
    (closes: Bug#264059)
  * Added man page for mdrun.
    Thanks to Robert Collins <robertc@robertcollins.net>.
    (closes: Bug#265480)
  * Moved /etc/mdadm/debian.conf to /etc/default/mdadm.
    (closes: Bug#254922)
  * Added a little workaround to mdrun to interact better with udev.
    Thanks to Fabio Massimo Di Nitto <fabbione@fabbione.net>.
    (closes: Bug#259491)
  * Updated Brazilian Portuguese translation.
    Thanks to Andre Luis Lopes <andrelop@debian.org>.
    (closes: Bug#264220)

 -- Mario Joussen <joussen@debian.org>  Mon, 16 Aug 2004 22:10:59 +0200

mdadm (1.6.0-1) unstable; urgency=low

  * New upstream release.
    Detect degraded arrays in --monitor mode now.
    (closes: Bug#257357)
  * Changed default to autostart RAID array.
    (closes: Bug#250792)
  * Fixed mdrun problem with kernel 2.6.
    Thanks to Andre Tomt <andre@tomt.net> and Fabio Massimo Di Nitto
    <fabbione@fabbione.net>
    (closes: Bug#231823)
  * Changed reuse warning to be less misleading.
    (closes: Bug#253339)

 -- Mario Joussen <joussen@debian.org>  Tue, 20 Jul 2004 21:40:33 +0200

mdadm (1.5.0-2) unstable; urgency=low

  * Added french debconf template.
    Thanks to Eric Madesclair <eric-m@wanadoo.fr>.
    (closes: Bug#231968)

 -- Mario Joussen <joussen@debian.org>  Tue,  4 May 2004 21:29:19 +0200

mdadm (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Rewrote debconf templates to avoid referring to debconf interface
    widgets.
    (closes: Bug#231221)
  * Removed manual scan for RAID devices from init script.
    (closes: Bug#233122, Bug#236762)
  * Added creation of an udeb package.
    (closes: Bug#243609)
  * Added "Debian Software Root Raid Documentation".
    Thanks to Lucas Albers <albersl@cs.montana.edu>.

 -- Mario Joussen <joussen@debian.org>  Sun, 25 Apr 2004 16:16:06 +0200

mdadm (1.4.0-3) unstable; urgency=low

  * Updated to standards version 3.6.1.0 and debhelper 4.
  * Corrected definition of BLKGETSIZE64 macro to compile with the
    2.6 kernel headers.
    (closes: Bug#223191)
  * Swichted to po-debconf to provide localized debconf templates.
    (closes: Bug#225288)

 -- Mario Joussen <joussen@debian.org>  Sun,  1 Feb 2004 19:30:53 +0100

mdadm (1.4.0-2) unstable; urgency=low

  * Corrected human readable size calculation.
    (closes: Bug#225041)
  * Added a warning about reusing hard disks and using the autostart
    feature.
    (closes: Bug#223790)

 -- Mario Joussen <joussen@debian.org>  Thu, 25 Dec 2003 19:52:57 +0100

mdadm (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Mario Joussen <joussen@debian.org>  Sun,  7 Dec 2003 19:39:27 +0100

mdadm (1.3.0-2) unstable; urgency=low

  * Added upstream changelog to package.

 -- Mario Joussen <joussen@debian.org>  Tue, 12 Aug 2003 21:51:59 +0200

mdadm (1.3.0-1) unstable; urgency=low

  * New upstream release.
    (closes: Bug#191561, Bug#200921)

 -- Mario Joussen <joussen@debian.org>  Thu, 31 Jul 2003 20:59:20 +0200

mdadm (1.2.0-1) unstable; urgency=low

  * New upstream release. (closes: Bug#183191)
  * New version of mdrun that works properly with devfs and temporary
    device directory.
    (closes: Bug#182035)
  * Added 'Conflicts: raidtools' because of a name clash with mdrun.
    (closes: Bug#182960)

 -- Mario Joussen <joussen@debian.org>  Sun, 16 Mar 2003 13:32:45 +0100

mdadm (1.0.1-4) unstable; urgency=low

  * Changed mdrun so that it can deal with partition statistics in
    /proc/partitions.
    (closes: Bug#174000, Bug#175130)
  * Added russian (ru) debconf template translation. Thanks to Sergey
    Spiridonov <sena@hurd.homeunix.org>.

 -- Mario Joussen <joussen@debian.org>  Sun,  5 Jan 2003 13:14:45 +0100

mdadm (1.0.1-3) unstable; urgency=low

  * Fixed a bug in mdrun. (closes: Bug#167607)

 -- Mario Joussen <joussen@debian.org>  Mon, 11 Nov 2002 07:53:23 +0100

mdadm (1.0.1-2) unstable; urgency=low

  * Fixed typo in help option. (closes: Bug#151533)
  * Added a script that discovers and assembles all arrays automatically.
    Thanks to Eduard Bloch <blade@debian.org>.
    (closes: Bug#161699)

 -- Mario Joussen <joussen@debian.org>  Fri,  1 Nov 2002 13:46:47 +0100

mdadm (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Mario Joussen <joussen@debian.org>  Thu, 30 May 2002 14:01:22 +0200

mdadm (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Splitted up mdadm.templates in one file for each language.
  * Added brazilian portuguese (pt_BR) debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>.
    (closes: Bug#141540)

 -- Mario Joussen <joussen@debian.org>  Thu, 18 Apr 2002 19:31:00 +0200

mdadm (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * 'mdctl' was renamed to 'mdadm' upstream.
  * Removed question about updating mdctl init script links.

 -- Mario Joussen <joussen@debian.org>  Sat, 23 Mar 2002 02:50:51 +0100

mdctl (0.5-4) unstable; urgency=low

  * Added debconf template to ask the user if the init script links
    should be updated.

 -- Mario Joussen <joussen@debian.org>  Mon,  4 Mar 2002 22:53:37 +0100

mdctl (0.5-3) unstable; urgency=low

  * Splitted up init script in two parts. One starts the md array and the
    other starts the raid monitor daemon.
    (closes: Bug#136184)

 -- Mario Joussen <joussen@debian.org>  Thu, 28 Feb 2002 22:45:57 +0100

mdctl (0.5-2) unstable; urgency=low

  * Included optimization in Makefile
    (closes: Bug#127687)
  * Removed Conflicts/Replaces/Provides: mdutils
    (closes: Bug#127684, Bug#127719)
  * Added an init script, which can start md arrays and the raid monitor
    daemon
  * MD devices are now created under /dev if necessary
  * Added a sample configuration file

 -- Mario Joussen <mario@joussen.org>  Sun, 13 Jan 2002 23:43:40 +0100

mdctl (0.5-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#126610)

 -- Mario Joussen <mario@joussen.org>  Wed, 26 Dec 2001 17:07:09 +0100

